#ifndef MISC_H
#define MISC_H

#include <iostream>
#include <string>
#include <vector>
#include <valarray>

#include "threaded_rand_unif_multi.h"

using namespace std;

extern double S1;
extern double S2;

double Random(unsigned int seed = 1);
double gasdev();
void exit_error(string error);
void set_norm(valarray<double> values);
void set_norm(vector<double> values);
void fail(string error);



#endif // MISC_H
